## halaudiosrc halaudiosrc — Audio source for sound device access via HAL |

## Synopsis

                        GstHalAudioSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----GstHalAudioSrc

## Implemented Interfaces

GstHalAudioSrc implements GstChildProxy.

## Properties

      "udi"                      gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | halelements
author | Jürg Billeter <j@bitron.ch>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### GstHalAudioSrc

    typedef struct _GstHalAudioSrc GstHalAudioSrc;

## Property Details

### The `"udi"` property

      "udi"                      gchar*                : Read / Write

Unique Device Id.

Default value: NULL